from pres.combined.presentations import *

import Image

import JpegImagePlugin    # import drivers for every image format you use
import TgaImagePlugin
import PngImagePlugin
import GifImagePlugin

Image._initialized = 1

imagepath.append( 'images' )
imagepath.append( '../images' )

import layout
import isd_anim

use_video = 1

set_background_layout( layout, 'master' )

bookmark( 'start' )
play( isd_anim.maintitle )

bookmark('goal')
play( isd_anim.goal )

bookmark('intro demo')
play( isd_anim.intro_demo ) # pedagogical exposition and demo

bookmark( 'related work' )
play( isd_anim.related_work )

#bookmark( 'overview' )
#play( isd_anim.overview )

bookmark( 'part 1' )
play( isd_anim.part1 )

bookmark( 'elastic solids' )
play( isd_anim.elastic_solids )

bookmark( 'basis' )
play( isd_anim.basis )

bookmark( 'euler-lagrange' )
play( isd_anim.euler_lagrange )

bookmark( 'kinetic energy' )
play( isd_anim.kinetic_energy )

bookmark( 'potential energy' )
play( isd_anim.potential_energy )

bookmark( 'odes' )
play( isd_anim.odes )

bookmark( 'part 2' )
play( isd_anim.part2 )

bookmark( 'skeletal constraints' )
play( isd_anim.skeletal_constraints )

bookmark( 'instrumentation' )
play( isd_anim.instrumentation )

bookmark( 'linearization' )
play( isd_anim.linearization )

bookmark( 'linear strain video' )
play( isd_anim.linearization_video )
if use_video:
    v1 = add_video( 'linear.avi', (30,20), (370,250) )
pause()
if use_video:
    delete_video(v1)

bookmark( 'linear compare' )
play( isd_anim.linear_compare )

bookmark( 'rotation' )
play( isd_anim.rotation_and_strain2 )

bookmark( 'blended linear' )
play( isd_anim.blended_linear )

bookmark( 'blended linear video' )
play( isd_anim.blended_video )
if use_video:
    v1 = add_video( 'blended.avi', (30,20), (370,250) )
pause()
if use_video:
    delete_video(v1)

bookmark( 'blended compare' )
play( isd_anim.blended_compare )

bookmark( 'bad twist video' )
play( isd_anim.bad_twist_video )
if use_video:
    v1 = add_video( 'bad_twist.avi', (30,20), (370,250) )
pause()
if use_video:
    delete_video(v1)

bookmark( 'bone twist' )
play( isd_anim.bones )

bookmark( 'good twist video' )
play( isd_anim.good_twist_video )
if use_video:
    v2 = add_video( 'good_twist.avi', (30,20), (370,250) )
pause()
if use_video:
    delete_video(v2)
    
bookmark( 'constraints video' )
play( isd_anim.constraints_video )
if use_video:
    v1 = add_video( 'cow_poke.avi', (30,20), (370,250) )
pause()
if use_video:
    delete_video(v1)

bookmark( 'constraints' )
play( isd_anim.constraints )

bookmark( 'adaptation video' )
play( isd_anim.adaptation_video )
if use_video:
    v1 = add_video( 'adapt.avi', (30,20), (370,250) )
pause()
if use_video:
    delete_video(v1)

bookmark('final demo')
play( isd_anim.final_demo ) # full animation

bookmark('contributions')
play( isd_anim.contributions )

bookmark('future work')
play( isd_anim.future_work_title )
play( isd_anim.future_work )

bookmark('acknowledgements')
play( isd_anim.acknowledgements )

run_presentation()
