from pres.combined.diagrams import *

def cross_out( x = ( SCALAR, -1.0, 1.0, 0.0 ),
               y = ( SCALAR, -1.0, 1.0, 0.0 ),
               zoom = ( SCALAR, 0.1, 10.0, 1.0 ),
               second_stroke = (SCALAR, 0.0, 1.0, 1.0 ) ):
    color( red, 1 )
    push()
    translate(x,y)
    scale(zoom)
    widestroke( Path().moveto(-1.0,0.5).lineto(1.0,-0.5), 0.2 )
    if second_stroke:
        color( red, second_stroke )
        widestroke( Path().moveto(-1.0,-0.5).lineto(1.0,0.5), 0.2 )
    pop()
        
test_diagrams( cross_out )
