import pres.combined.animations as XXX
import pres.combined.anim
from myfonts import fonts
layouts = \
{
'cow_compare2' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'left','right','bottom','right_text','left_text','bottom_text' ],
{
'left' : (XXX.Image(
  x1 = 58.988764, y1 = 148.314607,
  x2 = 188.764045, y2 = 257.303371,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'nonlinear_head3.png', 'C:\\temp\\isd\\images' ),
),),
'right' : (XXX.Image(
  x1 = 190.449438, y1 = 147.752809,
  x2 = 319.662921, y2 = 257.303371,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'blended_head3.png', 'C:\\temp\\isd\\images' ),
),),
'bottom' : (XXX.Image(
  x1 = 106.179775, y1 = 32.022472,
  x2 = 275.842697, y2 = 144.382022,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'linear_head3.png', 'C:\\temp\\isd\\images' ),
),),
'right_text' : (XXX.Text(
  x = 254.494382, y = 266.292135,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = 'blended',
  width = None,
), 'text'),
'left_text' : (XXX.Text(
  x = 125.280899, y = 266.853933,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = 'nonlinear',
  width = None,
), 'text'),
'bottom_text' : (XXX.Text(
  x = 192.696629, y = 23.033708,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = 'linear',
  width = None,
), 'text'),
}),
'cow_compare1' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'left','right','left_text','right_text' ],
{
'left' : (XXX.Image(
  x1 = 29.775281, y1 = 89.325843,
  x2 = 176.404494, y2 = 214.606742,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'nonlinear_head3.png', 'C:\\temp\\isd\\images' ),
),),
'right' : (XXX.Image(
  x1 = 180.898876, y1 = 85.393258,
  x2 = 373.033708, y2 = 217.977528,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'linear_head3.png', 'C:\\temp\\isd\\images' ),
),),
'left_text' : (XXX.Text(
  x = 102.808989, y = 78.089888,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 24.000000,
  font = fonts.get('text', None),
  text = 'nonlinear',
  width = None,
), 'text'),
'right_text' : (XXX.Text(
  x = 283.707865, y = 78.089888,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 24.000000,
  font = fonts.get('text', None),
  text = 'linear',
  width = None,
), 'text'),
}),
'image_captioned_image2' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'caption','image','title','image2','caption2' ],
{
'caption' : (XXX.Image(
  x1 = 29.847908, y1 = 23.954373,
  x2 = 372.813688, y2 = 71.482889,
  anchor = 'c', fit = XXX.BOTH,
),),
'image' : (XXX.Image(
  x1 = 29.847908, y1 = 88.973384,
  x2 = 372.243346, y2 = 249.429657,
  anchor = 'c', fit = XXX.BOTH,
),),
'title' : (XXX.Text(
  x = 195.437262, y = 272.053232,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'image2' : (XXX.Image(
  x1 = 29.847908, y1 = 88.973384,
  x2 = 372.243346, y2 = 249.429657,
  anchor = 'c', fit = XXX.BOTH,
),),
'caption2' : (XXX.Image(
  x1 = 29.847908, y1 = 23.954373,
  x2 = 372.813688, y2 = 71.482889,
  anchor = 'c', fit = XXX.BOTH,
),),
}),
'bone_twist' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'diagram','title','caption_image','caption_image2' ],
{
'diagram' : (XXX.Diagram(
  x1 = 26.000000, y1 = 78.000000,
  x2 = 376.500000, y2 = 242.000000,
),),
'title' : (XXX.Text(
  x = 198.000000, y = 273.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'caption_image' : (XXX.Image(
  x1 = 26.000000, y1 = 10.000000,
  x2 = 376.500000, y2 = 69.500000,
  anchor = 'c', fit = XXX.BOTH,
),),
'caption_image2' : (XXX.Image(
  x1 = 26.000000, y1 = 10.000000,
  x2 = 376.500000, y2 = 69.500000,
  anchor = 'c', fit = XXX.BOTH,
),),
}),
'acks' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'background','title','people' ],
{
'background' : (XXX.Image(
  x1 = -7.984791, y1 = -2.851711,
  x2 = 405.323194, y2 = 301.140684,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'sig_background.jpg', 'c:\\temp\\isd\\images' ),
),),
'title' : (XXX.Text(
  x = 199.000000, y = 274.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(1.000000,1.000000,1.000000,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'Thanks to:',
  width = None,
), 'title'),
'people' : (XXX.Text(
  x = 199.000000, y = 135.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(1.000000,1.000000,1.000000,1.000000),
  size = 24.000000,
  font = fonts.get('text', None),
  text = 'Chris Twigg\nMira Dontcheva\nSamantha Michel\nDoug Zongker and Slithy\n\nUW Animation Research Labs\nNational Science Foundation\nMicrosoft Research\nIntel',
  width = None,
), 'text'),
}),
'title_only2' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','title2' ],
{
'title' : (XXX.Text(
  x = 199.000000, y = 159.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'title2' : (XXX.Text(
  x = 199.000000, y = 159.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
}),
'one_image' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'image','title' ],
{
'image' : (XXX.Image(
  x1 = 22.500000, y1 = 26.500000,
  x2 = 378.000000, y2 = 250.500000,
  anchor = 'c', fit = XXX.BOTH,
),),
'title' : (XXX.Text(
  x = 199.000000, y = 275.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
}),
'cg' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','im1','im2','caption','linear_system_image','linear_system_label','eq1_image','eq1_label','im3','eq3','eq4','eq5' ],
{
'title' : (XXX.Text(
  x = 196.500000, y = 273.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'Linear subspace constraints',
  width = None,
), 'title'),
'im1' : (XXX.Image(
  x1 = 188.966292, y1 = 129.213483,
  x2 = 381.460674, y2 = 252.101124,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'cg0.jpg', 'C:\\temp\\isd\\images' ),
),),
'im2' : (XXX.Image(
  x1 = 188.966292, y1 = 129.213483,
  x2 = 381.460674, y2 = 252.101124,
  anchor = 'c', fit = XXX.BOTH,
),),
'caption' : (XXX.Text(
  x = 197.000000, y = 17.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = '<your text here>',
  width = None,
), 'text'),
'linear_system_image' : (XXX.Image(
  x1 = 25.196630, y1 = 202.342697,
  x2 = 133.696630, y2 = 236.342697,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'linear_system2.jpg', 'C:\\temp\\isd\\images' ),
),),
'linear_system_label' : (XXX.Text(
  x = 60.556180, y = 240.848315,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 16.200000,
  font = fonts.get('text', None),
  text = 'Linear System:',
  width = None,
), 'text'),
'eq1_image' : (XXX.Image(
  x1 = 15.078651, y1 = 151.685393,
  x2 = 134.831461, y2 = 174.764045,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'constraint_eq1.jpg', 'C:\\temp\\isd\\images' ),
),),
'eq1_label' : (XXX.Text(
  x = 45.775281, y = 187.820225,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 15.000000,
  font = fonts.get('text', None),
  text = 'Constraint:',
  width = None,
), 'text'),
'im3' : (XXX.Image(
  x1 = 161.797753, y1 = 32.584270,
  x2 = 404.494382, y2 = 128.089888,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'constraint.jpg', 'C:\\temp\\isd\\images' ),
),),
'eq3' : (XXX.Image(
  x1 = 20.786517, y1 = 99.438202,
  x2 = 173.033708, y2 = 145.505618,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'constraint_eq3.jpg', 'C:\\temp\\isd\\images' ),
),),
'eq4' : (XXX.Image(
  x1 = 23.595506, y1 = 65.730337,
  x2 = 147.191011, y2 = 98.314607,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'constraint_eq4.jpg', 'C:\\temp\\isd\\images' ),
),),
'eq5' : (XXX.Image(
  x1 = 23.595506, y1 = 33.146067,
  x2 = 158.988764, y2 = 65.168539,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'constraint_eq5.jpg', 'C:\\temp\\isd\\images' ),
),),
}),
'odes' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','euler_image','ode_image' ],
{
'title' : (XXX.Text(
  x = 198.000000, y = 268.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'System of ODEs',
  width = None,
), 'title'),
'euler_image' : (XXX.Image(
  x1 = 68.500000, y1 = 136.500000,
  x2 = 347.000000, y2 = 214.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'eq_euler.jpg', 'c:\\temp\\isd\\images' ),
),),
'ode_image' : (XXX.Image(
  x1 = 71.000000, y1 = 7.500000,
  x2 = 342.500000, y2 = 127.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'ode1.jpg', 'c:\\temp\\isd\\images' ),
),),
}),
'captioned_diagram' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'diagram','title','caption' ],
{
'diagram' : (XXX.Diagram(
  x1 = 26.000000, y1 = 50.500000,
  x2 = 375.000000, y2 = 242.000000,
),),
'title' : (XXX.Text(
  x = 198.000000, y = 273.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'caption' : (XXX.Text(
  x = 202.500000, y = 33.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = '<your text here>',
  width = None,
), 'text'),
}),
'centered_title' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title' ],
{
'title' : (XXX.Text(
  x = 199.000000, y = 159.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
}),
'future_work' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'image','title' ],
{
'image' : (XXX.Image(
  x1 = 23.061798, y1 = 24.719101,
  x2 = 383.707865, y2 = 203.870787,
  anchor = 'c', fit = XXX.BOTH,
),),
'title' : (XXX.Text(
  x = 201.247192, y = 249.657303,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
}),
'rotation' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'diagram','title','caption' ],
{
'diagram' : (XXX.Diagram(
  x1 = 1.000000, y1 = 26.000000,
  x2 = 398.500000, y2 = 255.000000,
),),
'title' : (XXX.Text(
  x = 198.000000, y = 273.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'caption' : (XXX.Text(
  x = 200.000000, y = 14.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = '<your text here>',
  width = None,
), 'text'),
}),
'one_diagram' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'diagram','title' ],
{
'diagram' : (XXX.Diagram(
  x1 = 25.500000, y1 = 23.000000,
  x2 = 377.500000, y2 = 224.000000,
),),
'title' : (XXX.Text(
  x = 198.000000, y = 273.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
}),
'related_work' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','image1','image2','image3','image4' ],
{
'title' : (XXX.Text(
  x = 205.500000, y = 283.000000,
  anchor = 'c', justify = 0.000000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'Related work',
  width = None,
), 'title'),
'image1' : (XXX.Image(
  x1 = 35.500000, y1 = 197.500000,
  x2 = 101.500000, y2 = 264.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'maccracken.jpg', 'c:\\temp\\isd\\images' ),
),),
'image2' : (XXX.Image(
  x1 = 35.500000, y1 = 131.000000,
  x2 = 101.500000, y2 = 197.500000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'terz.jpg', 'c:\\temp\\isd\\images' ),
),),
'image3' : (XXX.Image(
  x1 = 35.500000, y1 = 71.000000,
  x2 = 101.500000, y2 = 138.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'wilhelms.jpg', 'c:\\temp\\isd\\images' ),
),),
'image4' : (XXX.Image(
  x1 = 31.000000, y1 = 7.000000,
  x2 = 112.000000, y2 = 74.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'debunne2.jpg', 'c:\\temp\\isd\\images' ),
),),
}),
'instrumentation' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','left','middle','right' ],
{
'title' : (XXX.Text(
  x = 191.573034, y = 266.292135,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'Instrumenting models',
  width = None,
), 'title'),
'left' : (XXX.Image(
  x1 = -2.247191, y1 = 58.426967,
  x2 = 125.842697, y2 = 224.719101,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'roo_skel.jpg', 'C:\\temp\\isd\\images' ),
),),
'middle' : (XXX.Image(
  x1 = 114.606742, y1 = 58.426966,
  x2 = 270.224719, y2 = 223.595506,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'roo_half.jpg', 'C:\\temp\\isd\\images' ),
),),
'right' : (XXX.Image(
  x1 = 257.303371, y1 = 52.808989,
  x2 = 401.685393, y2 = 223.033708,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'roo_half_skel.jpg', 'C:\\temp\\isd\\images' ),
),),
}),
'captioned_image2' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'caption','image','title','image2' ],
{
'caption' : (XXX.Text(
  x = 200.000000, y = 34.220532,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = '<your text here>',
  width = None,
), 'text'),
'image' : (XXX.Image(
  x1 = 19.011407, y1 = 52.471483,
  x2 = 383.650190, y2 = 247.718631,
  anchor = 'c', fit = XXX.BOTH,
),),
'title' : (XXX.Text(
  x = 195.437262, y = 272.053232,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'image2' : (XXX.Image(
  x1 = 19.011407, y1 = 52.471483,
  x2 = 383.650190, y2 = 247.718631,
  anchor = 'c', fit = XXX.BOTH,
),),
}),
'captioned_image' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'caption','image','title' ],
{
'caption' : (XXX.Text(
  x = 200.000000, y = 34.220532,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = '<your text here>',
  width = None,
), 'text'),
'image' : (XXX.Image(
  x1 = 19.011407, y1 = 52.471483,
  x2 = 383.650190, y2 = 247.718631,
  anchor = 'c', fit = XXX.BOTH,
),),
'title' : (XXX.Text(
  x = 195.437262, y = 272.053232,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
}),
'goal' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','skel_image','cow_image','anim1_image','anim2_image','anim3_image','arrow' ],
{
'title' : (XXX.Text(
  x = 196.500000, y = 268.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'Goal',
  width = None,
), 'title'),
'skel_image' : (XXX.Image(
  x1 = 18.000000, y1 = 102.500000,
  x2 = 107.000000, y2 = 185.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'cow_skel.jpg', 'c:\\temp\\isd\\images' ),
),),
'cow_image' : (XXX.Image(
  x1 = 17.000000, y1 = 173.000000,
  x2 = 105.000000, y2 = 253.500000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'cow.jpg', 'c:\\temp\\isd\\images' ),
),),
'anim1_image' : (XXX.Image(
  x1 = 162.735955, y1 = 174.719101,
  x2 = 250.561798, y2 = 248.842697,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'cow_anim1.jpg', 'c:\\temp\\isd\\images' ),
),),
'anim2_image' : (XXX.Image(
  x1 = 234.123596, y1 = 134.269663,
  x2 = 316.292135, y2 = 207.331461,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'cow_anim2.jpg', 'c:\\temp\\isd\\images' ),
),),
'anim3_image' : (XXX.Image(
  x1 = 292.213484, y1 = 79.775281,
  x2 = 380.898877, y2 = 162.387640,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'cow_anim3.jpg', 'c:\\temp\\isd\\images' ),
),),
'arrow' : (XXX.Image(
  x1 = 116.853933, y1 = 201.123596,
  x2 = 152.247191, y2 = 238.764045,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'arrow.jpg', 'C:\\temp\\isd\\images' ),
),),
}),
'fem' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','image1','image2','image2b','image3' ],
{
'title' : (XXX.Text(
  x = 199.000000, y = 272.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'Finite element method',
  width = None,
), 'title'),
'image1' : (XXX.Image(
  x1 = 105.000000, y1 = 199.000000,
  x2 = 278.000000, y2 = 239.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'eq_basis.jpg', 'c:\\temp\\isd\\images' ),
),),
'image2' : (XXX.Image(
  x1 = 65.000000, y1 = 113.000000,
  x2 = 335.000000, y2 = 176.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'eq_displacement.jpg', 'c:\\temp\\isd\\images' ),
),),
'image2b' : (XXX.Image(
  x1 = 56.500000, y1 = 106.500000,
  x2 = 357.000000, y2 = 183.500000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'eq_displacement2.jpg', 'c:\\temp\\isd\\images' ),
),),
'image3' : (XXX.Image(
  x1 = 64.500000, y1 = 30.500000,
  x2 = 348.000000, y2 = 105.500000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'eq_euler.jpg', 'c:\\temp\\isd\\images' ),
),),
}),
'centered_title2' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','title2' ],
{
'title' : (XXX.Text(
  x = 199.000000, y = 159.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'title2' : (XXX.Text(
  x = 199.000000, y = 159.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
}),
'title_only' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title' ],
{
'title' : (XXX.Text(
  x = 198.500000, y = 273.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
}),
'image_captioned_image' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'caption','image','title' ],
{
'caption' : (XXX.Image(
  x1 = 29.286110, y1 = 16.853933,
  x2 = 372.471910, y2 = 81.033451,
  anchor = 'c', fit = XXX.BOTH,
),),
'image' : (XXX.Image(
  x1 = 29.847908, y1 = 88.973384,
  x2 = 372.243346, y2 = 249.429657,
  anchor = 'c', fit = XXX.BOTH,
),),
'title' : (XXX.Text(
  x = 195.437262, y = 272.053232,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
}),
'maintitle' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'background','title','author','affiliation' ],
{
'background' : (XXX.Image(
  x1 = -7.984791, y1 = -2.851711,
  x2 = 405.323194, y2 = 301.140684,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'sig_background.jpg', 'c:\\temp\\isd\\images' ),
),),
'title' : (XXX.Text(
  x = 201.000000, y = 229.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(1.000000,1.000000,1.000000,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'Interactive Skeleton-Driven\nDynamic Deformations',
  width = None,
), 'title'),
'author' : (XXX.Text(
  x = 202.000000, y = 135.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(1.000000,1.000000,1.000000,1.000000),
  size = 20.000000,
  font = fonts.get('serif', None),
  text = u'Steve Capell\nSeth Green\nBrian Curless\nTom Duchamp\nZoran Popovi\u0107',
  width = None,
), 'serif'),
'affiliation' : (XXX.Text(
  x = 203.000000, y = 53.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(1.000000,1.000000,1.000000,1.000000),
  size = 21.000000,
  font = fonts.get('text', None),
  text = 'University of Washington',
  width = None,
), 'text'),
}),
'master' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'filler' ],
{
'filler' : (XXX.Fill(
  style = 'solid',
  color = XXX.Color(1.000000,1.000000,1.000000,1.000000),
  color2 = XXX.Color(0.000000,0.000000,1.000000,1.000000),
),),
}),
'potential_energy' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'caption','image','title','pe_label','caption2' ],
{
'caption' : (XXX.Image(
  x1 = 14.679368, y1 = 7.865169,
  x2 = 387.640449, y2 = 79.348057,
  anchor = 'c', fit = XXX.BOTH,
),),
'image' : (XXX.Image(
  x1 = 34.342290, y1 = 110.674157,
  x2 = 366.853933, y2 = 245.497072,
  anchor = 'c', fit = XXX.BOTH,
),),
'title' : (XXX.Text(
  x = 195.437262, y = 272.053232,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'pe_label' : (XXX.Text(
  x = 91.573034, y = 88.764045,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = "Green's strain tensor:",
  width = None,
), 'text'),
'caption2' : (XXX.Image(
  x1 = 14.679368, y1 = 7.865169,
  x2 = 387.640449, y2 = 79.348057,
  anchor = 'c', fit = XXX.BOTH,
),),
}),
'four_images' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'ne_image','sw_comment','ne_comment','sw_image','nw_comment','title','se_image','se_comment','nw_image' ],
{
'ne_image' : (XXX.Image(
  x1 = 241.000000, y1 = 162.000000,
  x2 = 347.500000, y2 = 257.500000,
  anchor = 'c', fit = XXX.BOTH,
),),
'sw_comment' : (XXX.Text(
  x = 103.500000, y = 19.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 14.000000,
  font = fonts.get('text', None),
  text = '<your text here>',
  width = None,
), 'text'),
'ne_comment' : (XXX.Text(
  x = 295.000000, y = 151.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 14.000000,
  font = fonts.get('text', None),
  text = '<your text here>',
  width = None,
), 'text'),
'sw_image' : (XXX.Image(
  x1 = 51.000000, y1 = 30.500000,
  x2 = 158.500000, y2 = 128.000000,
  anchor = 'c', fit = XXX.BOTH,
),),
'nw_comment' : (XXX.Text(
  x = 104.000000, y = 150.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 14.000000,
  font = fonts.get('text', None),
  text = '<your text here>',
  width = None,
), 'text'),
'title' : (XXX.Text(
  x = 199.500000, y = 277.000000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'se_image' : (XXX.Image(
  x1 = 241.500000, y1 = 29.000000,
  x2 = 348.000000, y2 = 128.500000,
  anchor = 'c', fit = XXX.BOTH,
),),
'se_comment' : (XXX.Text(
  x = 296.000000, y = 18.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 14.000000,
  font = fonts.get('text', None),
  text = '<your text here>',
  width = None,
), 'text'),
'nw_image' : (XXX.Image(
  x1 = 51.500000, y1 = 161.000000,
  x2 = 157.500000, y2 = 256.500000,
  anchor = 'c', fit = XXX.BOTH,
),),
}),
'mass_spring' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','image1','image2','image3','image4' ],
{
'title' : (XXX.Text(
  x = 195.000000, y = 266.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'Mass-spring example',
  width = None,
), 'title'),
'image1' : (XXX.Image(
  x1 = 95.500000, y1 = 168.000000,
  x2 = 297.000000, y2 = 239.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'mass_spring.jpg', 'c:\\temp\\isd\\images' ),
),),
'image2' : (XXX.Image(
  x1 = 66.500000, y1 = 98.500000,
  x2 = 333.000000, y2 = 167.500000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'mass_spring_ke.jpg', 'c:\\temp\\isd\\images' ),
),),
'image3' : (XXX.Image(
  x1 = 67.500000, y1 = 49.000000,
  x2 = 334.000000, y2 = 125.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'mass_spring_pe.jpg', 'c:\\temp\\isd\\images' ),
),),
'image4' : (XXX.Image(
  x1 = 90.500000, y1 = 6.000000,
  x2 = 314.500000, y2 = 63.000000,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'mass_spring_euler.jpg', 'c:\\temp\\isd\\images' ),
),),
}),
'linear_strain' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'title','strain_image','cross','ode_image','ode_label','implicit_label','linear_system','strain_label' ],
{
'title' : (XXX.Text(
  x = 198.500000, y = 272.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = 'Linearizing strain',
  width = None,
), 'title'),
'strain_image' : (XXX.Image(
  x1 = 51.865169, y1 = 160.775281,
  x2 = 365.365169, y2 = 222.775281,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'eq_strain.jpg', 'c:\\temp\\isd\\images' ),
),),
'cross' : (XXX.Diagram(
  x1 = 245.988764, y1 = 148.337079,
  x2 = 353.988764, y2 = 236.337079,
),),
'ode_image' : (XXX.Image(
  x1 = 66.106742, y1 = 92.202247,
  x2 = 283.606742, y2 = 135.702247,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'ode1.jpg', 'C:\\temp\\isd\\images' ),
),),
'ode_label' : (XXX.Text(
  x = 78.747191, y = 140.483146,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = 'System of ODEs:',
  width = None,
), 'text'),
'implicit_label' : (XXX.Text(
  x = 94.471910, y = 63.561798,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = 'Apply implicit solver:',
  width = None,
), 'text'),
'linear_system' : (XXX.Image(
  x1 = 62.921348, y1 = 8.426966,
  x2 = 223.033708, y2 = 53.370787,
  anchor = 'c', fit = XXX.BOTH,
  image = XXX.imagepath.search( 'linear_system2.jpg', 'C:\\temp\\isd\\images' ),
),),
'strain_label' : (XXX.Text(
  x = 94.943820, y = 232.584270,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.000000,1.000000),
  size = 18.000000,
  font = fonts.get('text', None),
  text = "Green's strain tensor:",
  width = None,
), 'text'),
}),
'one_image2' : ( { 'default' : (0.0, 0.0, 400.0, 0.0, 1.3333333333333333),
},
[ 'image','title','image2' ],
{
'image' : (XXX.Image(
  x1 = 22.500000, y1 = 26.500000,
  x2 = 378.000000, y2 = 250.500000,
  anchor = 'c', fit = XXX.BOTH,
),),
'title' : (XXX.Text(
  x = 199.000000, y = 275.500000,
  anchor = 'c', justify = 0.500000,
  color = XXX.Color(0.000000,0.000000,0.501961,1.000000),
  size = 30.000000,
  font = fonts.get('title', None),
  text = '<your text here>',
  width = None,
), 'title'),
'image2' : (XXX.Image(
  x1 = 22.500000, y1 = 26.500000,
  x2 = 378.000000, y2 = 250.500000,
  anchor = 'c', fit = XXX.BOTH,
),),
}),
}
###END


def begin_animation( layout, *names, **diagrams ):
    cd, stack, d = layouts[layout]
    if layout != 'master':
        mcd, mstack, md = layouts['master']
        stack = mstack + stack   # this layout's items on top
        newd = md.copy()         # this layout's names take priority
        newd.update( d )
        d = newd
        newcd = mcd.copy()       # this layout's camera take priority
        newcd.update( cd )
        cd = newcd
    for k, v in diagrams.iteritems():
        d[k][0].set_draw_function( v )
    camera = pres.combined.anim.start_animation( [d[i][0] for i in stack] )
    camera.dict = cd
    camera.install( 'default' )
    if len(names) == 0:
        return camera
    else:
        result = [d.get( i, None )[0] for i in names]
        result.insert( 0, camera )
        return result

